﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CustomComponents.Helpers
{
    public class DataForPieChart
    {
        public string FilePath = string.Empty;
        public string DocumentTitle = string.Empty;
        public string ChartTitle = string.Empty;
        public DiagramLegendEnum diagLegend;
        public string LegendName = string.Empty;
        public List<(double, string)> Items;

        public DataForPieChart(string filePath, string documentTitle, string charttitle, DiagramLegendEnum diagLegend, string legendName, List<(double, string)> items)
        {
            FilePath = filePath;
            DocumentTitle = documentTitle;
            ChartTitle = charttitle;
            this.diagLegend = diagLegend;
            LegendName = legendName;
            Items = items;
        }
    }
}
